import React, { useState } from 'react';
import type { Meta, StoryObj } from '@storybook/react';
import Opacity from './opacity';

const Component: Meta<typeof Opacity> = {
  title: 'Components/Selectors/opacity',
  component: Opacity,
  argTypes: { onChange: { action: 'changed' } },
  decorators: [(Story) => <div className="w-52 m-5">{Story()}</div>],
};

export default Component;

type Story = StoryObj<typeof Component>;

export const OpacityStory: Story = (args: any) => {
  const [value, setValue] = useState<string>('');
  return <Opacity {...args} marking={value} onChange={setValue} />;
};

OpacityStory.args = {};
