export type ReceiveMessageI = {
  callID: string;
  type: string;
  status: string;
  value: Record<string, any>;
};

type SchemaServiceOrchestratorMessage = {
  databaseName: string;
  cached: boolean;
};
type SchemaStatsServiceOrchestratorMessage = {
  databaseName: string;
  cached: boolean;
};
type QueryOrchestratorMessage = {
  databaseName: string;
  cached: boolean;
  queryID: string;
};

export type keyTypeI = 'broadcastState' | 'dbConnection' | 'schema' | 'query' | 'state';
export type subKeyTypeI =
  // Crud
  | 'create'
  | 'getAll'
  | 'delete'
  | 'update'
  | 'get'
  | 'select'
  // Custom
  | 'newDbConnection'
  | 'editDbConnection'
  | 'deleteDbConnection'
  | 'getDbConnection'
  | 'getAllDbConnections'
  | 'testConnection'
  | 'getSchema'
  | 'getSchemaStats'
  | 'runQuery';

export type SendMessageI = {
  key: keyTypeI;
  subKey?: subKeyTypeI;
  body?: any;
};

export type SendMessageWithSessionI = SendMessageI & {
  callID: string;
  sessionID: string;
  body?: string;
};
